*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

body{
    background: #080808;
    color: #fff;
    /* background-image:url(./360_F_73082224_ay4Tus31QNHNmGSIty53ZE6mBrBc47cV.jpg);
    background-position: center;
    background-repeat:repeat;
    background-size:100%; */
}
.container{
    padding: 10px 10%;
}
nav{
    background-color: #0f0f0f;
    box-shadow: 0 0 3px 3px #353131;
    width: 100%;
    padding: 10px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    /* flex-wrap: wrap; */
    position: fixed;
}
.nav h2{
    width: 400px;
    color:aqua;
    font-weight:bolder;
    margin:0 50px;
}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}
nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff004f;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition:0.5s;
}
nav ul li a:hover::after{
    width: 50px;
}
.header{
    display: flex;
}
.header-text{
    margin-top:15%;
    font-size: 30px;
    width: 70%;
}
.header-text h1{
    font-size: 60px;
    margin-top: 20px;
}
.header-text h1 span{
    color: #ff004f;
}
.header-img img{
    width: 400px;
    margin-top:90px;
    border-radius:20px;
    box-shadow: 0 0 3px 3px whitesmoke;
}
/* ------------------about------------ */
#about{
    padding: 20px 0;
    color: #ababab;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap:wrap;
    margin-top: 50px;
}
.about-col-1{
    flex-basis: 35%;

}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    flex-basis: 60%;
}
.about-col-2 h1{
    font-size: 60px;
    font-weight:600;
    color: #fff;
}
.about-col-2 h2{
    margin-top: 20px;
    color: #ff004f;
    font-size: 25px;
}
.about-col-2 h4{
    margin: 10px 30px;
    color: aqua;
}
.about-col-2 h6{
    margin: 5px 35px;
    font-size: 14px;
}
.tab-title p{
    color:#fff;
    font-size: 20px;
    font-weight: bolder;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    text-decoration: 2px underline #ff004f;
}
.tab-title li span{
    padding: 120px;
    color: #ff004f;
    
}
/* -------skill-------- */
.sub-skill{
    background-color: #333;
    margin: 10px auto;
    color: #fff;
    padding: 50px;
    box-shadow: 1px 1px 2px 2px whitesmoke; 
    border-radius: 5px;
    list-style-type: none;
}
/* .sub-skill h1{
    text-align: center;
} */
 .text{
    display: flex;
    justify-content: space-between;
    color: #fff;
    font-family:sans-serif;
    margin: 5px 0;

 }
.skill li{
    margin: 20px 0;
    padding:10px 0;
}
.bar{
    background-color: #ff004f;
    display: block;
    height: 20px;
    border-radius: 10px;
    border: 1px solid rgba(0,0,0,0.3);
    overflow: hidden;
    box-shadow: 0 1px 3px rgba(0, 0,0,0.12),0 1px 2px rgba(0, 0,0,0.24);
    transition:all 0.3s cubic-bezier(.25,.8,.25,.1);
}
.bar:hover{
    box-shadow: 0 14px 28px rgba(0, 0,0,0.25),0 10px 10px rgba(0, 0,0,0.22);
}
.bar span{
    height: 20px;
    float: left;
    background: linear-gradient(135deg, rgb(163, 130, 150)0%, rgb(147, 131, 218)100%);
}
.html{
    width: 90%;
    animation: html 2s;
}
.css{
    width: 80%;
    animation: css 2s;
}
.js{
    width: 60%;
    animation: js 2s;
}
.java{
    width: 70%;
    animation: java 2s;
}
.boot{
    width: 50%;
    animation: boot 2s;
}
.j2ee{
    width: 30%;
    animation: j2ee 2s;
}
/* -------------project------------ */
#project{
    padding: 50px 0;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 100%;
    border-radius: 10px;
    display: block;
    transform: 0.5s transform;
}
.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6),#ff004f);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 40px;
    text-align: center;
    transition: height 0.5s;
}
.layer h3{
    font-weight:500;
    margin-bottom:20px;
}
.layer a{
    margin-top: 20px;
    color: #ff004f;
    text-decoration: none;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
.work:hover img{
    transform: scale(1.1);
}
.work:hover .layer{
    height: 100%;
}
.btn{
    display: block;
    margin: 20px auto;
    width: fit-content;
    border: 1px solid #ff004f;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
}
.btn:hover{
    background-color: #ff004f;
}
/* ----------------contact------------ */

.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}
.contact-left p{
    margin-top: 30px;
}
.contact-left i{
    margin-top: 20px;
    color: #ff004f;
    font-size: 25px;
}
.social-icons {
    margin-top: 10px;
}
.social-icons  a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover{
    color: #ff004f;
    transform:  translateY(-5px);
}
.btn.btn2{
    display: inline-block;
    background-color:#ff004f;
}
.contact-right form{
    width: 100%;
}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 5px;
}
.form .btn2{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}
.copyright{
    text-align: center;
    width: 100%;
    background-color: #262626;
    padding: 25px 0;
    font-weight: 300;
    margin-top: 20px;
}
.nav .fas{
    display: none;
}
/* ------------media query---------- */

